# DFTB++ SCC single point energy

from chemsh       import *
from chemsh.utils import testutils

cnt = Fragment(coords="CNT_10_10.cjson")

dftbplus = DFTBplus(frag=cnt, skf_path="slakos/mio-1-1/", smear_method='MethfesselPaxton', smear_temperature=300, kpoints=[3,3,3])

sp = SP(theory=dftbplus)

sp.run()

ecalc = sp.result.energy

# Test result from standalone DFTB+
eref = -65.3785197254


testutils.validate(ecalc, eref)
